Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard
Class PathwayQueryEngine

    java.lang.Object
      biouml.model.QueryEngineSupport
          biouml.standard.PathwayQueryEngine

All Implemented Interfaces:
  QueryEngine

public abstract class PathwayQueryEngine
extends QueryEngineSupport

Created by IntelliJ IDEA. User: artem Date: 02.04.2004 Time: 12:56:39 To change this template use Options | File Templates.

Field Summary
`static int` | `MAX_REACTIONS_VALUE`

Fields inherited from class biouml.model.QueryEngineSupport
`log`

Constructor Summary
`PathwayQueryEngine()`

Method Summary
`QueryOptions` | `getDefaultQueryOptions(java.lang.Class diagramType)`
`boolean` | `isSmallMolecule(Base base, java.lang.Object obj)`

Methods inherited from class biouml.model.QueryEngineSupport
`addLinked, createEdges, findNearestNode, findNodeInfo, getCompartment, getCompartmentKernels, getLinked, searchLinked, searchLinked`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_REACTIONS_VALUE

    public static final int MAX_REACTIONS_VALUE

See Also:
  Constant Field Values

Constructor Detail

### PathwayQueryEngine

    public PathwayQueryEngine()

Method Detail

### getDefaultQueryOptions

    public QueryOptions getDefaultQueryOptions(java.lang.Class diagramType)

  Specified by:
    `getDefaultQueryOptions` in interface `QueryEngine`
  Overrides:
    `getDefaultQueryOptions` in class `QueryEngineSupport`

### isSmallMolecule

    public boolean isSmallMolecule(Base base,
                                   java.lang.Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.